# Interface for submodule: MeshRegion
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: MeshRegion
from ._proxies import MeshRegionProxy as _MeshRegionProxy
class _MeshRegionTemplate(_itkTemplate):
    """Interface for instantiating itk::MeshRegion"""

    def __new__(cls, *args: Any) -> _MeshRegionProxy:
        """Instantiate itk::MeshRegion"""
        ...

    def __call__(self, *args: Any) -> _MeshRegionProxy:
        """Instantiate itk::MeshRegion"""
        ...

MeshRegion = _MeshRegionTemplate

